net.i2p.client

## Class MessageState

- java.lang.Object
- - net.i2p.client.MessageState

     class MessageState
    extends Object

Contains the state of a payload message being sent to a peer

### Constructor Summary

Constructors
Constructor and Description
`MessageState(I2PAppContext ctx, long nonce, String prefix)`

### Method Summary

Methods
`void` `cancel()`
`long` `getElapsed()`
`SessionKey` `getKey()`
`MessageId` `getMessageId()`
`SessionKey` `getNewKey()`
`long` `getNonce()`
`Set` `getTags()`
`Destination` `getTo()`
`void` `receive(int status)`
`boolean` `received(int status)` true if the given status (or an equivilant) was received
`void` `setKey(SessionKey key)`
`void` `setMessageId(MessageId id)`
`void` `setNewKey(SessionKey key)`
`void` `setTags(Set tags)`
`void` `setTo(Destination dest)`
`void` `waitFor(int status, long expiration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageState

    public MessageState(I2PAppContext ctx,
                long nonce,
                String prefix)

### Method Detail

#### receive

    public void receive(int status)

#### setMessageId

    public void setMessageId(MessageId id)

#### getMessageId

    public MessageId getMessageId()

#### getNonce

    public long getNonce()

#### setKey

    public void setKey(SessionKey key)

#### getKey

    public SessionKey getKey()

#### setNewKey

    public void setNewKey(SessionKey key)

#### getNewKey

    public SessionKey getNewKey()

#### setTags

    public void setTags(Set tags)

#### getTags

    public Set getTags()

#### setTo

    public void setTo(Destination dest)

#### getTo

    public Destination getTo()

#### getElapsed

    public long getElapsed()

#### waitFor

    public void waitFor(int status,
               long expiration)

#### received

    public boolean received(int status)

true if the given status (or an equivilant) was received

#### cancel

    public void cancel()